summaryrefslogtreecommitdiff
path: root/fixincludes/mkfixinc.sh
diff options
context:
space:
mode:
authorupstream source tree <ports@midipix.org>2015-03-15 20:14:05 -0400
committerupstream source tree <ports@midipix.org>2015-03-15 20:14:05 -0400
commit554fd8c5195424bdbcabf5de30fdc183aba391bd (patch)
tree976dc5ab7fddf506dadce60ae936f43f58787092 /fixincludes/mkfixinc.sh
downloadcbb-gcc-4.6.4-554fd8c5195424bdbcabf5de30fdc183aba391bd.tar.bz2
cbb-gcc-4.6.4-554fd8c5195424bdbcabf5de30fdc183aba391bd.tar.xz
obtained gcc-4.6.4.tar.bz2 from upstream website;upstream
verified gcc-4.6.4.tar.bz2.sig; imported gcc-4.6.4 source tree from verified upstream tarball. downloading a git-generated archive based on the 'upstream' tag should provide you with a source tree that is binary identical to the one extracted from the above tarball. if you have obtained the source via the command 'git clone', however, do note that line-endings of files in your working directory might differ from line-endings of the respective files in the upstream repository.
Diffstat (limited to 'fixincludes/mkfixinc.sh')
-rwxr-xr-xfixincludes/mkfixinc.sh36
1 files changed, 36 insertions, 0 deletions
diff --git a/fixincludes/mkfixinc.sh b/fixincludes/mkfixinc.sh
new file mode 100755
index 000000000..b45f1795d
--- /dev/null
+++ b/fixincludes/mkfixinc.sh
@@ -0,0 +1,36 @@
+#! /bin/sh
+
+if [ $# -ne 1 ]
+then
+ echo "Usage: $0 <target-mach-triplet>"
+ exit 1
+fi
+
+machine=$1
+target=fixinc.sh
+
+# Check for special fix rules for particular targets
+case $machine in
+ alpha*-dec-*vms* | \
+ i?86-moss-msdos* | \
+ i?86-*-pe | \
+ i?86-*-cygwin* | \
+ i?86-*-mingw32* | \
+ x86_64-*-mingw32* | \
+ i?86-*-interix* | \
+ *-*-vxworks* | \
+ powerpc-*-eabisim* | \
+ powerpc-*-eabi* | \
+ powerpc-*-rtems* | \
+ powerpcle-*-eabisim* | \
+ powerpcle-*-eabi* )
+ # IF there is no include fixing,
+ # THEN create a no-op fixer and exit
+ (echo "#! /bin/sh" ; echo "exit 0" ) > ${target}
+ ;;
+
+ *)
+ cat < ${srcdir}/fixinc.in > ${target} || exit 1
+ ;;
+esac
+chmod 755 ${target}